Page MenuHomePhabricator

Add link to PD help translatable pages from sidebar (helppage)
Closed, ResolvedPublic

Description

It's normal for software to have some place from the interface bringing you to the general documentation for it.

Bug 53862 removed the link to a local help page from the default sidebar because such a page doesn't usually exist for obvious reasons; we can point to [[mw:Help:Contents]] which is already available in over 30 languages and is improving thanks to the Translate extension usage expanding in the namespace.


Version: 1.22.0
Severity: enhancement

Details

Reference
bz53887

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:59 AM
bzimport set Reference to bz53887.
Nemo_bis created this task.Sep 7 2013, 7:21 AM

Change 83221 had a related patch set uploaded by Nemo bis:
Add link to PD help translatable pages from sidebar

https://gerrit.wikimedia.org/r/83221

Qgil added a comment.Sep 9 2013, 8:20 PM

I think this might be a good idea, just not in the right place.

A "Help" link in the sidebar of Project X would indicate documentation for Project X, not necessarily for editing MediaWiki. Besides, from a usability point of view it is not advisable to send users to another website without any warning.

[[mw:Help:Contents]] is about editing MediaWiki, and therefore we could show it by default near the editing actions. Currently MediaWiki offers:

  • When creating a page: a string "(see the help page for more info)" linking to [[Help:Contents]] (an empty page by default).
  • When editing an existing page: a string "Editing help (opens in new window)" linking to [[Help:Editing]] (an empty page by default).

Why not pointing both to [[mw:Help:Contents]] as Nemo suggests? This works as a good defaults. Admins willing to have a Help page specific to their project could just create it and link it to the sidebar themselves.

(In reply to comment #2)

I think this might be a good idea, just not in the right place.
A "Help" link in the sidebar of Project X would indicate documentation for
Project X, not necessarily for editing MediaWiki. Besides, from a usability
point of view it is not advisable to send users to another website without
any
warning.
[[mw:Help:Contents]] is about editing MediaWiki, and therefore we could show
it
by default near the editing actions.

The PD help pages are not about editing only. They are incomplete and we need more work on them, sure; I'm trying to get some work done on them.

Currently MediaWiki offers:

  • When creating a page: a string "(see the help page for more info)" linking

to
[[Help:Contents]] (an empty page by default).

That link is defined by the same message, helppage.

  • When editing an existing page: a string "Editing help (opens in new

window)"
linking to [[Help:Editing]] (an empty page by default).

This was already fixed with bug 45977, you are probably checking an old version of MediaWiki.

Why not pointing both to [[mw:Help:Contents]] as Nemo suggests? This works
as a
good defaults. Admins willing to have a Help page specific to their project
could just create it and link it to the sidebar themselves.

Yes but I see no difference between sidebar and and the rest of help links, both are equally worth (or not) to be local. I don't see a need to split the two things.

Qgil added a comment.Sep 9 2013, 9:13 PM

The point of "Help" about Project X being different than MediaWiki help still stands.

The sidebar is a very visible area. I wouldn't place an external link by default there.

Many users land in a wiki and all they do is browsing / searching without having any need for help. Then a minority edits, these might need help and it makes sense to show them the link when they are about to edit.

If an admin has different opinions or needs for her specific project then she can customize links and sidebar at will.

This was already fixed with bug 45977, you are probably checking an old
version
of MediaWiki.

1.21.1, while the bug report points to 1.21.0.

(In reply to comment #4)

The point of "Help" about Project X being different than MediaWiki help still
stands.
The sidebar is a very visible area. I wouldn't place an external link by
default there.
Many users land in a wiki and all they do is browsing / searching without
having any need for help.

Do you really think MediaWiki is *that* usable? Reading a MediaWiki wiki profitably requires understanding at the very least history and permalinks, talk pages, categories and WhatLinksHere.
"External" links are not less profitable than internal ones; almost all websites I can think of link to help pages in their navigational bars. We usually keep such links in the sidebar. We could put it in the footer instead, but is it really the best place and is it worth changing habits of all those who got used to the help link in the sidebar where?

Then a minority edits, these might need help and it
makes sense to show them the link when they are about to edit.
If an admin has different opinions or needs for her specific project then she
can customize links and sidebar at will.

This was already fixed with bug 45977, you are probably checking an old
version
of MediaWiki.

1.21.1, while the bug report points to 1.21.0.

That's the Version, not Milestone (which I just added). :) The bug is fixed in 1.22wmf9 (and will be in 1.22.0) only.

Qgil added a comment.Sep 21 2013, 12:15 AM

(In reply to comment #5)

"External" links are not less profitable than internal ones; almost all
websites I can think of link to help pages in their navigational bars.

Citation needed. :)

(In reply to comment #6)

Citation needed. :)

[[google:foo]]
https://twitter.com/
https://www.facebook.com/
https://www.youtube.com/
http://www.qq.com/ (客服中心)
...

Qgil added a comment.Sep 21 2013, 3:39 PM

The corresponding links are:

https://support.twitter.com/
https://www.facebook.com/help/
https://support.google.com/youtube/?hl=en#topic=2676319
(no idea about the Help link in QQ.

In other words, these are sites called ABC thsat have help links leading to pages with ABC name and look&feel. Also these links are place either in the footer or somewhere more hidden.

Here you propose that sites called ABC, XYZ will have by default a Help link in the very visible Sidebar, pointing to a mediawiki.org page and therefore bringing a total change of look&feel and context to users looking for search about ABC, XYZ. Therefore your examples are not comparable and I believe my point still stands.

(In reply to comment #8)

The corresponding links are:
https://support.twitter.com/
https://www.facebook.com/help/
https://support.google.com/youtube/?hl=en#topic=2676319
(no idea about the Help link in QQ.
In other words, these are sites called ABC thsat have help links leading to
pages with ABC name and look&feel.

They are different domains too (with FB's exception); and few wikis customise the look&feel aka Vector, so they'll have the same as mediawiki.org's. But I was only answering the other point, confirming my «link to help pages in their navigational bars»:

Also these links are place either in the
footer or somewhere more hidden.

It's their equivalent of our sidebar. In some MediaWiki skins too that's in the footer; what matters is the functionality and role. A link to help pages is needed and we keep such links in the sidebar. As I said, of course,

(comment #5)

We could put it in the footer
instead,
but is it really the best place and is it worth changing habits of all those
who got used to the help link in the sidebar where?

Qgil added a comment.Sep 22 2013, 6:10 AM

The jumps are from Twitter to Twitter, from Facebook to Facebook and from YouTube to YouTube. The Help from the origin and the destination is the same.

In our case the jumps are from !mediawiki.org to mediawiki.org and the mediawiki.org help might or might not be the kind of help the user of site XYZ was expecting.

But we are repeating ourselves, so a third voice will be useful.

Looking at the help for singular proprietary websites isn't a very good measure for whether to include an external link in the default navigation of a piece of open-source software used on many websites.

Facebook, Twitter, and Google are all single sites they'd never delegate help to a 3rd party.

A better parallel is "Do other open-source software – especially the CMS systems – include help/documentation links in their default navigation?".

WordPress for example does include a link to their codex and support forum in the default blogroll.

(In reply to comment #11)

A better parallel is "Do other open-source software – especially the CMS
systems – include help/documentation links in their default navigation?".
WordPress for example does include a link to their codex and support forum in
the default blogroll.

Sure, I agree. That's the assumption behind comment 0.

Qgil added a comment.Oct 3 2013, 4:26 PM

Ok, convinced. I commented in Change 83221 but I didn't give the +1 only because I haven't actually tested the new code.

[Bumping TM as MediaWiki 1.22.0 tarball was released today.]

Change 83221 merged by jenkins-bot:
Add link to PD help translatable pages from sidebar

https://gerrit.wikimedia.org/r/83221

Change 119947 had a related patch set uploaded by Nemo bis:
Add link to PD help translatable pages from sidebar

https://gerrit.wikimedia.org/r/119947

Change 119947 merged by jenkins-bot:
Add link to PD help translatable pages from sidebar

https://gerrit.wikimedia.org/r/119947

backport to release 1.22.5 was done